import { EditorConfig, ElementNode, LexicalEditor, LexicalNode, SerializedElementNode, Spread } from 'lexical';
export type SerializedHRNode = Spread<SerializedElementNode, SerializedElementNode>;
export declare class HRNode extends ElementNode {
    static getType(): string;
    static clone(node: HRNode): HRNode;
    static importJSON(_serializedNode: SerializedHRNode): HRNode;
    exportJSON(): SerializedHRNode;
    createDOM(_config: EditorConfig, _editor: LexicalEditor): HTMLElement;
    updateDOM(_prevNode: unknown, _dom: HTMLElement, _config: EditorConfig): boolean;
    decorate(_editor: LexicalEditor): null;
}
export declare function $createHRNode(): HRNode;
export declare function $isHRNode(node: LexicalNode | null | undefined): node is HRNode;
